package model;

public class CiscenjeVirusa implements Usluga {

    private double cenaBezPDVa;
    private double pdv;
    private String opisAktivnosti;
    private String serviser;
    private String antivirusniProgram;

    public CiscenjeVirusa(double cenaBezPDVa, double pdv, String opisAktivnosti, String serviser, String antivirusniProgram) {
        this.cenaBezPDVa = cenaBezPDVa;
        this.pdv = pdv;
        this.opisAktivnosti = opisAktivnosti;
        this.serviser = serviser;
        this.antivirusniProgram = antivirusniProgram;
    }

    public double dajCenuBezPDVa() {
        return cenaBezPDVa;
    }

    public double dajPDV() {
        return pdv;
    }

    public String dajOpisAktivnosti() {
        return opisAktivnosti;
    }

    public String dajServisera() {
        return serviser;
    }

    public String dajAntivirusniProgram() {
        return antivirusniProgram;
    }

    @Override
    public String toString() {
        return "Ciscenje virusa: " + dajAntivirusniProgram() + ", " + dajOpisAktivnosti() + ", " + dajCenuBezPDVa() + ", " + dajPDV() + ", " + dajServisera();
    }

}
