package model;

public class Memorija implements Komponenta {

    private double prodajnaCena;
    private String specifikacija;
    private String dobavljac;
    private int kolicinaUGB;

    public Memorija(double prodajnaCena, String specifikacija, String dobavljac, int kolicinaUGB) {
        this.prodajnaCena = prodajnaCena;
        this.specifikacija = specifikacija;
        this.dobavljac = dobavljac;
        this.kolicinaUGB = kolicinaUGB;
    }

    public double dajProdajnuCenu() {
        return prodajnaCena;
    }

    public String dajSpecifikaciju() {
        return specifikacija + "[" + kolicinaUGB + "GB]";
    }

    public String dajDobavljaca() {
        return dobavljac;
    }

    public int dajKolicinuMemorijeUGB() {
        return kolicinaUGB;
    }

    @Override
    public String toString() {
        return "Memorija: " + dajSpecifikaciju() + ", " + dajProdajnuCenu() + ", " + dajDobavljaca() + ", " + dajKolicinuMemorijeUGB();
    }

}
